/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;

-- Added setting 49 "Videomode enabled"
INSERT INTO [main].[setting](
    [id],
    [title],
    [description],
    [options],
    [increments],
    [units],
    [format],
    [default],
    [value])
VALUES(
    49,
    'Videomode enabled',
    NULL,
    'yes,no',
    NULL,
    NULL,
    NULL,
    'yes',
    'yes');

-- Added setting 50 "PIN*BOT letters pre-lit"
INSERT INTO [main].[setting](
    [id],
    [title],
    [description],
    [options],
    [increments],
    [units],
    [format],
    [default],
    [value])
VALUES(
    50,
    'PIN*BOT letters pre-lit',
    NULL,
    '0,6',
    '1',
    NULL,
    NULL,
    '0',
    '0');

-- Added setting 51 "Flipper Switch Mod"
INSERT INTO [main].[setting](
    [id],
    [title],
    [description],
    [options],
    [increments],
    [units],
    [format],
    [default],
    [value])
VALUES(
    51,
    'Flipper Switch Mod',
    NULL,
    'not installed,installed',
    NULL,
    NULL,
    NULL,
    'not installed',
    'not installed');

-- Update setting 41 "Multiball 1 jackpots required" to limit options to support shuttle display fix.
UPDATE
  [main].[setting]
SET
  [options] = '1,6'
WHERE
  [id] = 41;

/* Drop table [main].[menuitem] */
drop table if exists [main].[menuitem];

/* Table structure [main].[menuitem] */
CREATE TABLE [main].[menuitem] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [title] VARCHAR NOT NULL,
  [type] VARCHAR,
  [data] VARCHAR,
  [order] INTEGER,
  [level] INTEGER);

/* Data [main].[menuitem] */
insert into [main].[menuitem] values(1, 'Main menu', '', '', 0, 0);
insert into [main].[menuitem] values(2, 'Test Menu', '', '', 1, 1);
insert into [main].[menuitem] values(3, 'Switch Test', 'MenuItem_Test_Switch', '', 2, 2);
insert into [main].[menuitem] values(4, 'Solenoid Test', '', '', 3, 2);
insert into [main].[menuitem] values(5, 'Ball Release', 'MenuItem_Test_Solenoid', 'ballRelease', 4, 3);
insert into [main].[menuitem] values(6, 'Lock Post', 'MenuItem_Test_Solenoid', 'lockPost', 5, 3);
insert into [main].[menuitem] values(7, 'Outhole', 'MenuItem_Test_Solenoid', 'outhole', 6, 3);
insert into [main].[menuitem] values(8, 'Scoop', 'MenuItem_Test_Solenoid', 'scoop', 7, 3);
insert into [main].[menuitem] values(9, 'Skillshot Kicker', 'MenuItem_Test_Solenoid', 'skillshotKicker', 8, 3);
insert into [main].[menuitem] values(10, 'Mini Playfield Gate', 'MenuItem_Test_Solenoid', 'miniGate', 9, 3);
insert into [main].[menuitem] values(11, 'Head Mouth', 'MenuItem_Test_Solenoid', 'headMouth', 10, 3);
insert into [main].[menuitem] values(12, 'Head Left Eye', 'MenuItem_Test_Solenoid', 'headLeftEye', 11, 3);
insert into [main].[menuitem] values(13, 'Head Right Eye', 'MenuItem_Test_Solenoid', 'headRightEye', 12, 3);
insert into [main].[menuitem] values(14, 'Jet Left', 'MenuItem_Test_Solenoid', 'jetL', 13, 3);
insert into [main].[menuitem] values(15, 'Jet Right', 'MenuItem_Test_Solenoid', 'jetR', 14, 3);
insert into [main].[menuitem] values(16, 'Jet Bottom', 'MenuItem_Test_Solenoid', 'jetB', 15, 3);
insert into [main].[menuitem] values(17, 'Jets Slingshot', 'MenuItem_Test_Solenoid', 'jetsSling', 16, 3);
insert into [main].[menuitem] values(18, 'Slingshot Left', 'MenuItem_Test_Solenoid', 'slingL', 17, 3);
insert into [main].[menuitem] values(19, 'Slingshot Right', 'MenuItem_Test_Solenoid', 'slingR', 18, 3);
insert into [main].[menuitem] values(20, 'Knocker', 'MenuItem_Test_Solenoid', 'knocker', 19, 3);
insert into [main].[menuitem] values(21, 'Adjustment Menu', '', '', 20, 1);
insert into [main].[menuitem] values(22, 'Game', '', '', 21, 2);
insert into [main].[menuitem] values(23, 'Balls per game', 'MenuItem_Setting', '1', 22, 3);
insert into [main].[menuitem] values(24, 'Tilt', '', '', 23, 3);
insert into [main].[menuitem] values(25, 'Tilt warnings', 'MenuItem_Setting', '2', 24, 4);
insert into [main].[menuitem] values(26, 'Tilt warning gap', 'MenuItem_Setting', '3', 25, 4);
insert into [main].[menuitem] values(27, 'Head position', 'MenuItem_Setting', '7', 26, 3);
insert into [main].[menuitem] values(28, 'Lock pulse length', 'MenuItem_Setting', '25', 27, 3);
insert into [main].[menuitem] values(29, 'Rules', '', '', 28, 2);
insert into [main].[menuitem] values(30, 'First ball saver', 'MenuItem_Setting', '4', 29, 3);
insert into [main].[menuitem] values(31, 'Later ball savers', 'MenuItem_Setting', '20', 30, 3);
insert into [main].[menuitem] values(32, 'Multiball 1', '', '', 31, 3);
insert into [main].[menuitem] values(33, 'Jackpots required', 'MenuItem_Setting', '41', 32, 4);
insert into [main].[menuitem] values(34, 'Power Charge time', 'MenuItem_Setting', '8', 33, 3);
insert into [main].[menuitem] values(35, 'Values doubled time', 'MenuItem_Setting', '9', 34, 3);
insert into [main].[menuitem] values(36, 'Videomode', '', '', 35, 3);
insert into [main].[menuitem] values(37, 'Videomode enabled', 'MenuItem_Setting', '49', 36, 4);
insert into [main].[menuitem] values(38, 'PIN*BOT letters pre-lit', 'MenuItem_Setting', '50', 37, 4);
insert into [main].[menuitem] values(39, 'Wheel', '', '', 38, 3);
insert into [main].[menuitem] values(40, 'JP incr. per mode', 'MenuItem_Setting', '10', 39, 4);
insert into [main].[menuitem] values(41, 'Small wheel', '', '', 40, 4);
insert into [main].[menuitem] values(42, '50K mode time', 'MenuItem_Setting', '11', 41, 5);
insert into [main].[menuitem] values(43, '100K mode time', 'MenuItem_Setting', '12', 42, 5);
insert into [main].[menuitem] values(44, '250K mode time', 'MenuItem_Setting', '13', 43, 5);
insert into [main].[menuitem] values(45, 'EB mode', '', '', 44, 5);
insert into [main].[menuitem] values(46, 'EB mode time', 'MenuItem_Setting', '14', 45, 6);
insert into [main].[menuitem] values(47, 'Lanes can unlite', 'MenuItem_Setting', '46', 46, 6);
insert into [main].[menuitem] values(48, 'Lite EB mode time', 'MenuItem_Setting', '15', 47, 5);
insert into [main].[menuitem] values(49, 'Lite JP mode time', 'MenuItem_Setting', '16', 48, 5);
insert into [main].[menuitem] values(50, 'Sound', '', '', 49, 2);
insert into [main].[menuitem] values(51, 'Sound volume', 'MenuItem_Setting', '5', 50, 3);
insert into [main].[menuitem] values(52, 'Display', '', '', 51, 2);
insert into [main].[menuitem] values(53, 'Dots shape', 'MenuItem_Setting', '29', 52, 3);
insert into [main].[menuitem] values(54, 'Scale', 'MenuItem_Setting', '33', 53, 3);
insert into [main].[menuitem] values(55, 'Vertical position', 'MenuItem_Setting', '35', 54, 3);
insert into [main].[menuitem] values(56, 'Horizontal position', 'MenuItem_Setting', '36', 55, 3);
insert into [main].[menuitem] values(57, 'Dots color', '', '', 56, 3);
insert into [main].[menuitem] values(58, 'Preset', 'MenuItem_Setting', '28', 57, 4);
insert into [main].[menuitem] values(59, 'Custom Red', 'MenuItem_Setting', '30', 58, 4);
insert into [main].[menuitem] values(60, 'Custom Green', 'MenuItem_Setting', '31', 59, 4);
insert into [main].[menuitem] values(61, 'Custom Blue', 'MenuItem_Setting', '32', 60, 4);
insert into [main].[menuitem] values(62, 'Background color', '', '', 61, 3);
insert into [main].[menuitem] values(63, 'Preset', 'MenuItem_Setting', '37', 62, 4);
insert into [main].[menuitem] values(64, 'Custom Red', 'MenuItem_Setting', '38', 63, 4);
insert into [main].[menuitem] values(65, 'Custom Green', 'MenuItem_Setting', '39', 64, 4);
insert into [main].[menuitem] values(66, 'Custom Blue', 'MenuItem_Setting', '40', 65, 4);
insert into [main].[menuitem] values(67, 'Window border', 'MenuItem_Setting', '34', 66, 3);
insert into [main].[menuitem] values(68, 'Live', '', '', 67, 2);
insert into [main].[menuitem] values(69, 'Live enabled', 'MenuItem_Setting', '23', 68, 3);
insert into [main].[menuitem] values(70, 'Live host', 'MenuItem_Setting', '24', 69, 3);
insert into [main].[menuitem] values(71, 'Localization', '', '', 70, 2);
insert into [main].[menuitem] values(72, 'Euro score format', 'MenuItem_Setting', '19', 71, 3);
insert into [main].[menuitem] values(73, 'Peripherals', '', '', 72, 2);
insert into [main].[menuitem] values(74, 'Betabrite', '', '', 73, 3);
insert into [main].[menuitem] values(75, 'BetaBrite', 'MenuItem_Setting', '17', 74, 4);
insert into [main].[menuitem] values(76, 'BetaBrite COM Port', 'MenuItem_Setting', '18', 75, 4);
insert into [main].[menuitem] values(77, 'Flipper Switch Mod', 'MenuItem_Setting', '51', 76, 3);
insert into [main].[menuitem] values(78, 'Player Profiles', 'MenuItem_PlayerProfiles', '', 77, 1);
insert into [main].[menuitem] values(79, 'Software Menu', '', '', 78, 1);
insert into [main].[menuitem] values(80, 'Current version', 'MenuItem_Setting', '0', 79, 2);
insert into [main].[menuitem] values(81, 'Version select', 'MenuItem_VersionSelect', '', 80, 2);
insert into [main].[menuitem] values(82, 'USB update', 'MenuItem_USBUpdate', '', 81, 2);
insert into [main].[menuitem] values(83, 'Pinmame ROM', 'MenuItem_Setting', '48', 82, 2);


/* Drop table [main].[trophy] */
drop table if exists [main].[trophy];

/* Table structure [main].[trophy] */
CREATE TABLE [main].[trophy] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [type] INTEGER,
  [order] INTEGER,
  [title] VARCHAR,
  [description] VARCHAR);

/* Data [main].[trophy] */
insert into [main].[trophy] values(1, 1, 1, 'Get Lucky', 'Collect a 1.000.000 super skillshot');
insert into [main].[trophy] values(2, 1, 2, 'Houston, we have lift off', 'Start multiball 1');
insert into [main].[trophy] values(3, 2, 4, 'Welcome to Planet Pinbot', 'Complete multiball 1');
insert into [main].[trophy] values(4, 1, 7, 'Going the distance', 'Collect a super jackpot');
insert into [main].[trophy] values(5, 2, 9, 'Now you''re just showing off!', 'Collect a double super jackpot');
insert into [main].[trophy] values(6, 2, 10, 'Now that''s a jackpot!', 'Collect a 24 million jackpot');
insert into [main].[trophy] values(7, 1, 3, 'Mulligan', 'Restart Multiball by shooting the scoop');
insert into [main].[trophy] values(8, 1, 8, 'Freeze, juggle boy!', 'Complete a power charge with 3 balls in play');
insert into [main].[trophy] values(9, 2, 21, 'Pennsylvania 3-500', 'Collect left loop, right loop and jets 500k awards in 1 ball');
insert into [main].[trophy] values(10, 1, 19, 'Holy bonus, batman!', 'Get a 10x bonus multiplier');
insert into [main].[trophy] values(11, 1, 20, 'Back-side Swoop', 'Reverse the right loop');
insert into [main].[trophy] values(12, 1, 22, 'Rapid Fire', 'Lite all 3 locks for Multiball 1 back-to-back without hitting another switch ');
insert into [main].[trophy] values(14, 1, 13, 'Completed Move Your Shuttle', 'Complete the "Move Your Shuttle" mode');
insert into [main].[trophy] values(15, 1, 14, 'Completed Fueling Frenzy', 'Complete the "Fueling Frenzy" mode');
insert into [main].[trophy] values(16, 1, 15, 'Completed Space Station Dock', 'Complete the "Space Station Dock" mode');
insert into [main].[trophy] values(17, 1, 16, 'Completed Return to Base', 'Complete the "Return to Base" mode');
insert into [main].[trophy] values(18, 1, 17, 'Completed Mission Control', 'Complete the "Mission Control" mode');
insert into [main].[trophy] values(19, 1, 18, 'Completed G-Force Challenge', 'Complete the "G-Force Challenge" mode');
insert into [main].[trophy] values(20, 1, 5, 'Batteries not included', 'Start multiball 2');
insert into [main].[trophy] values(21, 2, 6, 'Now I see you', 'Complete multiball 2');
insert into [main].[trophy] values(22, 1, 11, 'Lights out, away we go!', 'Start Videomode by spelling PIN*BOT and shooting the scoop');
insert into [main].[trophy] values(23, 2, 12, 'Seasoned Racer', 'Finish Videomode level 6');


/* Drop table [main].[videomode] */
drop table if exists [main].[videomode];

/* Table structure [main].[videomode] */
CREATE TABLE [main].[videomode] (
  [id] INT,
  [nr] INTEGER,
  [name] VARCHAR,
  [author] VARCHAR,
  [level] TEXT,
  [updated] DATETIME);

/* Data [main].[videomode] */
insert into [main].[videomode] values(1, 1, 'dp_level1', 'Dutch Pinball', '  #####\r\n  #####\r\n  #*#*#\r\n  #####\r\n  ##O##\r\n  #####\r\n  #*#*#\r\n  #####\r\n    ###\r\ns   ###\r\n     #*#\r\n     ###\r\n      ###\r\n      #O#\r\n      ###\r\n     ###\r\n     #*#\r\n    ###\r\n    ###\r\n    # #\r\n    * O\r\n    # #\r\n  #####\r\n  #####\r\n  ##*##\r\n  #####\r\n  #####\r\n  #####\r\n   # #\r\n   O *\r\n   # #\r\n  #####\r\n  #####\r\n  ##*##\r\n  #####\r\n  #####\r\n    # #\r\n    O *\r\n    # #\r\n   ####\r\n  #####\r\n  ## ##\r\n  *   *\r\n  ## ##\r\n  #####\r\n  #####\r\n   ###\r\n   #O#\r\n   ###\r\n  #####\r\n #######\r\n #*# #*#\r\n #######\r\n  #####\r\n   #*#\r\n   ###\r\n   ###\r\n   ##*\r\n   ###\r\n   ###\r\n   *##\r\n   ###\r\n   ###\r\n   #*#\r\n   ###', '2015-04-03 16:35:51.000');
insert into [main].[videomode] values(2, 2, 'dp_level2', 'Dutch Pinball', '   ###\r\n  #####\r\n  #####\r\n  # # #\r\n  * O *\r\n  # # #\r\n  #####\r\n  #####\r\n  O###O\r\n  ^^^^^\r\n  #####\r\n  #####\r\n   #*#\r\n   ###\r\n   ###\r\n   ^^^\r\n   ###\r\n   ###\r\n   ##*\r\n   ###\r\n   ###\r\n   ^^^\r\n   ###\r\n  #####\r\n  #####\r\n  O * O\r\n #######\r\n #######\r\n * # # *\r\n#########\r\n#########\r\n* * O * *\r\n#########\r\n#########\r\n * # # *\r\n #######\r\n #######\r\n  * # *\r\n  #####\r\n  #####\r\n   ###\r\n   * *\r\n   ###\r\n  #####\r\n  ##*##\r\n  #####\r\n  ##\r\n  O#\r\n  ##\r\n  #####\r\n  ##*##\r\n  #####\r\n     ##\r\n     #O\r\n     ##\r\n  #####\r\n  ##*##\r\n  #####', '2015-04-03 16:36:18.000');
insert into [main].[videomode] values(3, 3, 'dp_level3', 'Dutch Pinball', '   ###\r\n   #*#\r\ns  ######\r\n   ######\r\n   ####O#\r\n      ###\r\n      ###\r\n      ^^^\r\n     ###\r\n     #*#\r\n     ###\r\n     ^^^\r\n    ###\r\n    #*#\r\n    ###\r\n    ^^^\r\n   ###\r\n   #*#\r\n   ###\r\n   ^^^\r\n   ###\r\n   #O#\r\n  #####\r\n #######\r\n#*## ##*#\r\n###   ###\r\n#       #\r\n* v   v *\r\n# O v O #\r\n# # * # #\r\n*#######*\r\n##*###*##\r\n####*####\r\n ^^^^^^^\r\n  #####\r\n   ###\r\n    #\r\n v  #  v\r\n O  #  O\r\n ## # ##\r\n #* * *#\r\n #######\r\n ##*#*##\r\n  #####\r\n  ^^^^^\r\n  #####', '2015-04-03 16:37:00.000');
insert into [main].[videomode] values(4, 4, 'dp_level4', 'Dutch Pinball', '   #*#\r\n   ###\r\n   #v#\r\n  ##### \r\n #*###*# \r\n### # ###\r\n#v# # #v#\r\n### # ###\r\n#O# O #O#\r\n### # ###\r\n#v# ^ #v#\r\n###   ###\r\n #*# #*# \r\n  ##### \r\n   #O#  \r\n   ^^^  \r\n    #\r\nvvv # vvv\r\n#*# # #*#\r\n### # ###\r\n* O###O *\r\n# ##### #\r\n# ##### #\r\n# ##### #\r\n# *#O#* #\r\n### # ###\r\n#*# # #*#\r\n^^^ # ^^^\r\n    #', '2015-04-03 16:38:11.000');
insert into [main].[videomode] values(5, 5, 'dp_level5', 'Dutch Pinball', 'i  #*# i\r\n  #####\r\n  #####\r\ni ##  # i\r\n  *#  O\r\n  ##  #\r\ni ^^  ^ i\r\n  ##  #\r\n  ##  #\r\ni #*# # i\r\n   ####\r\n    #*#\r\ni    ## i\r\n     ##\r\n  ^^^^^\r\ni ##### i\r\n  ##*##\r\n  #####\r\ni *   * i\r\n  #####\r\n  #*#*#\r\ni ##### i\r\n  ##*##\r\n  #####\r\ni ^^    i\r\n  #####\r\n  #####\r\ni ##### i\r\n     ##\r\n  vv ##\r\ni ## ## i\r\n  #####\r\n  ##*##\r\ni ##### i\r\n  O# ##\r\n  ^^ ^^\r\ni    ## i\r\n  #####\r\n  #####\r\ni ##    i\r\n  v# #v\r\n  ## ##\r\ni ##### i\r\n  ##*##\r\n  #####\r\ni O# #O i\r\n  ## ##\r\n  ^^ ^^\r\ni ##### i\r\n   ###\r\n    #\r\ni   #   i\r\n   ###\r\n   # #\r\ni  * *  i\r\n   # #\r\n  #####\r\ni O # O i\r\n  #####\r\n   * *\r\ni ##### i\r\n  O # O\r\n  #####\r\ni    #  i\r\n     ##\r\n      # \r\ni    ## i\r\n     #  \r\n    ##  \r\ni   #   i\r\n    #\r\n   ###', '2015-04-03 16:39:31.000');
insert into [main].[videomode] values(6, 6, 'dp_level6', 'Dutch Pinball', '    #   v\r\n    #   O\r\n  v # v #\r\n##*###*##\r\n#########\r\n*###*###*\r\n#   ^   ^\r\n#      \r\n*\r\n# v v v v\r\n#########\r\n#*#*#*#*#\r\n ^ ^ ^ ^#\r\n        *\r\n        #\r\nvvv vvv #\r\n#O# ##O *\r\n### ### #\r\n# # # # #\r\n* ### ###\r\n# O## #O#\r\n# ^^^ ^^^\r\n*       s\r\n#\r\n#vvvv\r\n*###*\r\n##O##\r\n^^^^#\r\n    #\r\n    #', '2015-04-03 16:39:59.000');


/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
